classDef("mgnl.media", {
	searchView :false,

	// this variable is used by the context menu
	selectedPath :"",
	selectedIsFolder :false,

	// this is the object used in the context menu to check the flag
	selectedIsNotFolderCondition : {
		test : function() {
			return !mgnl.media.selectedIsFolder
		}
	},

	show : function(path, dialog) {
		mgnlOpenWindow(".magnolia/dialogs/" + dialog + ".html?mgnlPath=" + path
				+ "&mgnlRepository=media");
	},

	createNew : function(path, dialog) {
		parent.openWindow(".magnolia/dialogs/" + dialog + ".html?mgnlPath=" + path
				+ "&mgnlNode=mgnlNew&mgnlRepository=media");// mgnlOpenWindow
	},

	// check if it is a folder
	showDialogInTree : function(tree, dialog) {
		if (tree.selectedNode.itemType == "mgnl:media") {
			mgnlTreeMenuOpenDialog(tree, '.magnolia/dialogs/' + dialog + '.html');
		}
	},

	reloadAfterEdit : function(path) {
		if (!mgnl.media.searchView) {
			document.location = contextPath + "/.magnolia/trees/media.html?mgnlCK="
					+ mgnlGetCacheKiller() + "&pathSelected=" + path +"&pathOpen=" + path;
		} else {
			document.location.reload();
		}
	},
	
	showInTree : function(path) {
		MgnlAdminCentral.showTree('media', path);
	},

	showTree : function() {
		top.mgnlAdminCentralSwitchExtractTree('media');
	}
});

mgnlTree.prototype.openFolder = function(contextPath, handle, writable) {
	parent.reloadFolder(handle);
}

